VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::backup::JobTypes::ReturnResult Class Reference

`Job.ReturnResult` class Structure representing precheck result More...

List of all members.

## Public Member Functions
| ReturnResult ()
| Creates a default new instance.
vmware.appliance.recovery.backup.JobTypes.ReturnStatus | GetStatus ()
| Check status.
void | SetStatus (vmware.appliance.recovery.backup.JobTypes.ReturnStatus status)
| Check status.
global::System.Collections.Generic.List < vmware.appliance.recovery.backup.JobTypes.LocalizableMessage > | GetMessages ()
| List of messages.
void | SetMessages (global::System.Collections.Generic.List< vmware.appliance.recovery.backup.JobTypes.LocalizableMessage > messages)
| List of messages.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Job.ReturnResult` class Structure representing precheck result

## Constructor & Destructor Documentation

vmware::appliance::recovery::backup::JobTypes::ReturnResult::ReturnResult | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::recovery::backup::JobTypes::ReturnResult::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::recovery::backup::JobTypes::ReturnResult::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::recovery::backup::JobTypes::ReturnResult::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::recovery::backup::JobTypes::ReturnResult::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::recovery::backup::JobTypes::ReturnResult::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::recovery::backup::JobTypes::ReturnResult::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::recovery::backup::JobTypes::ReturnResult::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.appliance.recovery.backup.JobTypes.LocalizableMessage> vmware::appliance::recovery::backup::JobTypes::ReturnResult::GetMessages | ( |  | ) | `[inline]`

List of messages.

vmware.appliance.recovery.backup.JobTypes.ReturnStatus vmware::appliance::recovery::backup::JobTypes::ReturnResult::GetStatus | ( |  | ) | `[inline]`

Check status.

void vmware::appliance::recovery::backup::JobTypes::ReturnResult::SetMessages | ( | global::System.Collections.Generic.List< vmware.appliance.recovery.backup.JobTypes.LocalizableMessage > | messages | ) | `[inline]`

List of messages.

void vmware::appliance::recovery::backup::JobTypes::ReturnResult::SetStatus | ( | vmware.appliance.recovery.backup.JobTypes.ReturnStatus | status | ) | `[inline]`

Check status.

override string vmware::appliance::recovery::backup::JobTypes::ReturnResult::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- backup/JobTypes.cs